Grid2StatusResOptions = {}

local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")


function Grid2StatusResOptions:AddSetupStatusesOptions(setup, reset)
	local status, options

	status = Grid2.statuses["resurrection-incoming"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status",  status, options)
	end

	status = Grid2.statuses["resurrected"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status",  status, options)
	end

	status = Grid2.statuses["soulstone"]
	if (status) then
		options = Grid2Options:MakeStatusColorOption(status)
		Grid2Options:AddElement("status",  status, options)
	end
end

Grid2StatusResOptions:AddSetupStatusesOptions(Grid2.db.profile.setup)